.NET

Reply
Active Contributor
dancalgary
Posts: 46
Registered: ‎05-18-2007
Message 1 of 4 (218 Views)

I have a line and a circle I want to get the intersection of both

218 Views, 3 Replies
07-10-2012 04:33 PM

I have defined into my code a line and a circle

How do I get the intersection between those 2?

 

I have the following code but in VS 2010 is telling me this:

 

 'Public Sub IntersectWith(entityPointer As Autodesk.AutoCAD.DatabaseServices.Entity, intersectType As Autodesk.AutoCAD.DatabaseServices.Intersect, points As Autodesk.AutoCAD.Geometry.Point3dCollection, thisGraphicSystemMarker As Long, otherGraphicSystemMarker As Long)' is obsolete: 'Use the overload taking IntPtr instead.'. 

 

 

Dim Point11 AsNewPoint3dCollection

Line1.IntersectWith(circle1,Intersect.OnBothOperands, Point11, 0, 0)

 

It is working but when I will switch to Autocad 2013 I have to use a different method to get the intersection?

 

Thanks

 

 



ADN Support Specialist
adam.nagy
Posts: 611
Registered: ‎03-26-2007
Message 2 of 4 (210 Views)

Re: I have a line and a circle I want to get the intersection of both

07-10-2012 07:29 PM in reply to: dancalgary

Hi there,

 

Instead of 0 you'll have to pass in IntPtr.Zero.

 

Cheers,

Adam Nagy

Autodesk Developer Network


 



Adam Nagy
Developer Technical Services
Autodesk Developer Network
Active Contributor
dancalgary
Posts: 46
Registered: ‎05-18-2007
Message 3 of 4 (195 Views)

Re: I have a line and a circle I want to get the intersection of both

07-11-2012 06:01 AM in reply to: adam.nagy

Can you please give me an example?

I wasn't able to find any examples about intptr

 

Thanks

Active Contributor
dancalgary
Posts: 46
Registered: ‎05-18-2007
Message 4 of 4 (190 Views)

Re: I have a line and a circle I want to get the intersection of both

07-11-2012 06:17 AM in reply to: dancalgary

Line1.IntersectWith(circle1,Intersect.OnBothOperands, Point11, IntPtr.Zero, IntPtr.Zero)

 

I find out what do you mean

Thanks

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!